<template>
    <div
        v-if="lesson.type === TYPE_LESSON_NORMAL"
        v-html="lesson?.content"
    ></div>
    <iframe
        v-else
        :src="lesson?.content.replace(/<p>|<\/p>/g, '')"
        width="800"
        height="450"
        class="mx-auto"
        title="YouTube video player"
        frameborder="0"
        allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
        allowfullscreen
    ></iframe>
</template>

<script>
import { TYPE_LESSON_NORMAL } from "@/constants";
export default {
    props: {
        lesson: {
            type: Object,
            required: true
        }
    },
    setup() {
        return { TYPE_LESSON_NORMAL };
    }
};
</script>
